<?php

namespace mot\test\acp;

class test_module
{
	public $u_action;

	public function main($id, $mode)
	{
	global $db, $language, $phpbb_container, $request, $template;

		$this->db = $db;
		$this->language = $language;
		$this->template = $template;
		$this->tpl_name = 'acp_mot_test';
		$this->group_helper = $phpbb_container->get('group_helper');

		$used_group_ids = array();
		$sql = 'SELECT ug.group_id FROM ' . USER_GROUP_TABLE . ' AS ug
				INNER JOIN ' . USERS_TABLE . ' AS u
				WHERE ' . $this->db->sql_in_set('u.user_type', array(USER_NORMAL,USER_FOUNDER)) . '
				AND ug.user_id = u.user_id
				GROUP BY ug.group_id';
		$result = $this->db->sql_query($sql);
		$group_ids = $this->db->sql_fetchrowset($result);
		$this->db->sql_freeresult($result);
		foreach ($group_ids as $row)
		{
			$used_group_ids[] = $row['group_id'];
		}
		$group_count = count ($used_group_ids);
		$query = 'SELECT group_id, group_type, group_name FROM ' . GROUPS_TABLE . '
				ORDER BY group_type DESC, group_name ASC';
		$result = $this->db->sql_query($query);
		$groups = $this->db->sql_fetchrowset($result);
		$this->db->sql_freeresult($result);

		$used_groups = '';
		foreach ($groups as $option)
		{
			if (in_array($option['group_id'], $used_group_ids))
			{
				$used_groups .= '<option ' . (($option['group_type'] == GROUP_SPECIAL) ? ' class="sep"' : '') . ' value="' . $option['group_id'] . '"' . '>' . $this->group_helper->get_name($option['group_name']) . '</option>';
			}
		}

		$template->assign_vars(array(
			'ACP_MOT_TEST_GROUPS'		=> $used_groups,
			'ACP_MOT_TEST_GROUP_COUNT'	=> $group_count,
		));
	}
}
