<?php

namespace mot\test\migrations;

class v_0_0_2_0 extends \phpbb\db\migration\migration
{
	static public function depends_on()
	{
		return array('\mot\test\migrations\v_0_0_1');
	}

	public function update_data()
	{
		$data = array();

		$data[] = array('if', array(($this->check_modules()),
			array('module.remove', array(
				'acp',
				'MOT_TEST_NAV_TITLE',
				array(
					'module_basename'	=> '\mot\test\acp\test_module',
					'module_langname'	=> 'ACP_MOT_TEST_GROUPS',
					'module_mode'		=> 'groups',
					'module_auth'		=> 'ext_mot/test && acl_a_board',
			))),
		));

		return $data;
	}

	private function check_modules()
	{
		$return = false;

		$query = 'SELECT COUNT(*) FROM ' . MODULES_TABLE . '
				WHERE ' . $this->db->sql_in_set('module_langname', ('MOT_TEST_NAV_TITLE'));
		$result = $this->db->sql_query($query);
		$amount = $this->db->sql_fetchrow($result);
		$this->db->sql_freeresult($result);

		if ($amount['COUNT(*)'] > 0)
		{
			$return = true;
		}

		return $return;
	}
}
